​
Select Service
ves-io-schema-discovery-API-List
Published April 5, 2023 | Last modified May 28, 2026
Examples of listing discovery
Usecase:
List discovery objects from system namespace
Request using vesctl:
vesctl configuration list discovery --namespace system
vesctl yaml response:
errors: []items:- annotations: {} labels: {} name: consul-discovery namespace: system statusSet: [] tenant: acmecorp uid: 6021c52a-e1d6-4e79-b7b9-d89796a88851- annotations: {} labels: {} name: k8s-discovery namespace: system statusSet: [] tenant: acmecorp uid: 25c7088f-f186-4780-8709-771f616f1ce9Request using curl:
curl -X 'GET' -H 'X-Volterra-Useragent: v1/pgm=_var_folders_q2_3kp8z3zs0x5_m7pk1bgb0_ph0000gp_T_go-build1414723615_b001_apidocs.test/host=MTY6VVHQPH/svc=S:examplesvc/site=mytestce01' 'https://acmecorp.console.ves.volterra.io/api/config/namespaces/system/discoverys'curl response
HTTP/1.1 200 OKContent-Length: 837Content-Type: application/jsonDate: Mon, 13 Apr 2026 01:59:22 GMTVary: Accept-EncodingX-Volterra-Response-Fields-Deprecated: items.#.get_spec.discovery_cbip.cbip_clusters.#.cbip_devices.#,items.#.get_spec.discovery_cbip.cbip_clusters.#.virtual_server_filter.protocols.#,items.#.get_spec.discovery_cbip.internal_lb_domain,items.#.get_spec.discovery_consul.namespace_mapping,items.#.status_set.#.cbip_clusters_status.#.devices_status.#.condition,items.#.status_set.#.cbip_status
{ "items": [ { "tenant": "acmecorp", "namespace": "system", "name": "consul-discovery", "uid": "6021c52a-e1d6-4e79-b7b9-d89796a88851", "description": "", "disabled": false, "labels": { }, "annotations": { }, "owner_view": null, "metadata": null, "system_metadata": null, "get_spec": null, "status_set": [ ] }, { "tenant": "acmecorp", "namespace": "system", "name": "k8s-discovery", "uid": "25c7088f-f186-4780-8709-771f616f1ce9", "description": "", "disabled": false, "labels": { }, "annotations": { }, "owner_view": null, "metadata": null, "system_metadata": null, "get_spec": null, "status_set": [ ] } ], "errors": [ ]}